@import '../../../styles/mixin';
@import '../../../styles/variables';

.product {
  &_wrapper {
    position: relative;

    &:hover {
      .product {
        &_title {
          color: $blue-2;
        }
      }
    }

    & a {
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;

      width: 100%;
      height: 100%;
    }
  }

  &_title {
    font-size: 24px;
    font-family: $font-weight-bold;

    @include media(lg) {
      font-size: 36px;
    }
  }

  &_description {
    margin: 8px 0;
    font-size: 16px;
    line-height: 18px;

    color: $black-2;

    @include media(lg) {
      margin: 12px 0;
      font-size: 18px;
      line-height: 24px;
    }
  }

  &_price {
    margin: 16px 0;

    font-size: 18px;
    font-family: $font-weight-bold;

    @include media(lg) {
      margin: 24px 0;

      font-size: 24px;
    }
  }
}